%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%global _use_internal_dependency_generator 0
%global __find_requires %{_mingw32_findrequires}
%global __find_provides %{_mingw32_findprovides}

%global debug_package %{nil}

#%%global pre rc1

%global platform win32-g++-cross
%global compatplatform fedora-win32-cross

Name:           mingw32-qt-qmake
Version:        4.8.1
Release:        1%{?pre}%{?dist}
Summary:        Qt for Windows Build Environment

License:        GPLv3 with exceptions or LGPLv2 with exceptions
Group:          Development/Libraries

URL:            http://www.qtsoftware.com/

# Special cross-compilation qmake target.
Source0:        qmake.conf
Source1:        qplatformdefs.h
Source2:        LGPL_EXCEPTION.txt
Source3:        LICENSE.GPL3
Source4:        LICENSE.LGPL

BuildRequires:  dos2unix
BuildRequires:  mingw32-filesystem >= 35

Requires:       qt-devel

%description
This package contains the build environment for cross compiling
applications with the Fedora Windows Qt Library and cross-compiler.

%prep

%setup -n mingw32-qt-qmake -c -T
cp %{SOURCE2} %{SOURCE3} %{SOURCE4} .

%build

%install
# Cross-compiler qmake specs.
mkdir -p $RPM_BUILD_ROOT%{_libdir}/qt4/mkspecs/%{platform}
cp %{SOURCE0} %{SOURCE1} \
  $RPM_BUILD_ROOT%{_libdir}/qt4/mkspecs/%{platform}
%if 0%{?compatplatform:1}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/qt4/mkspecs/%{compatplatform}
cp %{SOURCE0} %{SOURCE1} \
  $RPM_BUILD_ROOT%{_libdir}/qt4/mkspecs/%{compatplatform}
%endif


%files
%doc LGPL_EXCEPTION.txt LICENSE.GPL3 LICENSE.LGPL
%{_libdir}/qt4/mkspecs/%{platform}
%if 0%{?compatplatform:1}
%{_libdir}/qt4/mkspecs/%{compatplatform}
%endif


%changelog
* Fri Apr 20 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 4.8.1-1
- Update to 4.8.1

* Wed Dec 21 2011 Erik van Pienbroek <epienbro@fedoraproject.org> - 4.8.0-1
- Update to 4.8.0
- Drop unneeded RPM tags

* Wed Oct 26 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.8.0-0.2.rc1
- Rebuilt for glibc bug#747377

* Sat Oct 22 2011 Kalev Lember <kalevlember@gmail.com> - 4.8.0-0.1.rc1
- Update to 4.8.0 rc1

* Sat Sep  3 2011 Erik van Pienbroek <epienbro@fedoraproject.org> - 4.7.4-1
- Update to 4.7.4

* Sun Aug 28 2011 Kalev Lember <kalevlember@gmail.com> - 4.7.3-1
- Update to 4.7.3

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Nov 14 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 4.7.1-2
- The QT_LIBINFIX change applied in 4.7.0-1 turned out to be broken
  Should work okay now

* Sat Nov 13 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 4.7.1-1
- Update to 4.7.1

* Mon Oct 18 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 4.7.0-3
- Use the name 'win32-g++-cross' instead of 'win32-g++-fedora-cross' as
  mkspecs platform name as was decided on the mailing list. The previous
  rename was invalid

* Mon Oct 11 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 4.7.0-2
- Use the name 'win32-g++-fedora-cross' instead of 'win32-fedora-cross' as
  mkspecs platform name. People compiling Qt applications using the
  Fedora MinGW toolchain have to use this new name when invoking qmake
- Dropped some duplicate declarations from the qmake.conf file
- Use the correct strip command in the qmake.conf file
- Fixed the %%defattr tag

* Sat Sep 25 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 4.7.0-1
- Update to 4.7.0
- Automatically set QT_LIBINFIX to "4" in avoid users to provide it
  manually (as indicated at http://fedoraproject.org/wiki/MinGW/Tips)

* Fri Feb 26 2010 Thomas Sailer <t.sailer@alumni.ethz.ch> - 4.6.2-1
- update to 4.6.2

* Sun Jan 31 2010 Thomas Sailer <t.sailer@alumni.ethz.ch> - 4.6.1-1
- update to 4.6.1

* Tue Dec  1 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 4.6.0-1
- update to 4.6.0

* Tue Nov 17 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 4.6.0-0.1.beta1
- update to 4.6.0beta1

* Mon Nov  3 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 4.5.3-1
- update to 4.5.3 to match mingw32-qt version

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul  1 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 4.5.2-1
- update to 4.5.2 to match mingw32-qt version

* Tue Jun 16 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 4.5.1-1
- update to match mingw32-qt version

* Thu Apr 16 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 4.5.0-4
- replace %%define with %%global

* Tue Apr  7 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 4.5.0-3
- disable empty debuginfo package

* Mon Mar 16 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 4.5.0-2
- add missing BR

* Fri Mar 13 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 4.5.0-1
- factor out the files that cannot be noarch from mingw32-qt
- Initial RPM release.
